{ lib, system, ... }:
let
  isArm = "aarch64-linux" == system;
in
{
  hardware = {
    # Bluetooth
    bluetooth.enable = lib.mkDefault true;

    i2c.enable = lib.mkDefault true;

    # Enable all firmware
    enableAllFirmware = lib.mkForce true;

    # Enable graphics
    graphics = {
      enable = lib.mkDefault true;
      enable32Bit = lib.mkDefault (!isArm);
    };
  };
}
